<!--  -->
<template>
    <el-dialog
        width="80%"
        class=""
        title="导出"
        :fullscreen="fullscreen"
        @close="closeModal"
        append-to-body
        :close-on-click-modal="false"
        :append-to-body="true"
        v-model="showExportDialog">
        <img src="../assets/large.png" class="btnFull large" v-if="!fullscreen" @click="resizeFull"/>
        <img src="../assets/small.png" class="btnFull small" v-if="fullscreen"  @click="resizeFull"/>
        <div :style="{'height': (fullscreen?dialogHeight:dialogHeight1) + 'px'}">
            <iframe :src="'/demo/reportJsp/showReport.jsp?rpx=js_TAC_PBLM_INFO.rpx&width=1526&height=592' + '&rgstrId=' + currentNodeId + '&LIST_TYPE=' + listType" frameborder="0" width="100%" height="100%" style="overflow: auto"></iframe>
        </div>
    </el-dialog>
</template>

<script>
//这里可以导入其他文件（比如：组件，工具js，第三方插件js，json文件，图片文件等等）
//例如：import 《组件名称》 from '《组件路径》';

export default {
    //import引入的组件需要注入到对象中才能使用
    props:['currentNodeId','listType'],
    components: {},
    data() {
    //这里存放数据
        return {
            fullscreen:false,
            showExportDialog: true,
            dialogHeight:window.innerHeight - 70,
            dialogHeight1:window.innerHeight - 300,
        };
    },
    //监听属性 类似于data概念
    computed: {},
    //监控data中的数据变化
    watch: {
        currentNodeId(n,o){
            this.currentNodeId = n;
        },
        listType(n,o){
            this.listType = n;
        },
    },
    //方法集合
    methods: {
        closeModal(){
            this.$emit('dialogClose')
        },
        resizeFull(){
           this.fullscreen =  !this.fullscreen;
        }
    },
    //生命周期 - 创建完成（可以访问当前this实例）
    created() {

    },
    //生命周期 - 挂载完成（可以访问DOM元素）
    mounted() {

    },
    beforeCreate() {}, //生命周期 - 创建之前
    beforeMount() {}, //生命周期 - 挂载之前
    beforeUpdate() {}, //生命周期 - 更新之前
    updated() {}, //生命周期 - 更新之后
    beforeDestroy() {}, //生命周期 - 销毁之前
    destroyed() {}, //生命周期 - 销毁完成
    activated() {}, //如果页面有keep-alive缓存功能，这个函数会触发
}
</script>
<style scoped>
  .btnFull{
    position: absolute;
    z-index: 1000;
    top: 16px;
    right: 50px;
    width: 16px;
    height: 16px;
    cursor: pointer;
  }
</style>
